[PATCH libXi multitouch 2/4] Make users aware of the unstable nature of this development branch

Chase Douglas chase.douglas at canonical.com
Wed Sep 14 22:33:55 PDT 2011

The library will fail to configure unless the --enable-unstable-library
flag is used.

Signed-off-by: Chase Douglas <chase.douglas at canonical.com>
 configure.ac |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

diff --git a/configure.ac b/configure.ac
index 96d2a35..6c2f731 100644
--- a/configure.ac
+++ b/configure.ac
@@ -30,6 +30,15 @@ XORG_CHECK_MALLOC_ZERO
 # Obtain compiler/linker options for depedencies
 PKG_CHECK_MODULES(XI, [xproto >= 7.0.13] [x11 >=] [xextproto >= 7.0.3] [xext >=] [inputproto >=])
+# Make sure the user knows what they are doing!
+              AS_HELP_STRING([--enable-unstable-library],
+                             [Enables compilation of yet-to-be-finalised library (default: disabled)]),
+              [UNSTABLE_LIB=$enableval], [UNSTABLE_LIB=no])
+if ! test "x$UNSTABLE_LIB" = xyes; then
+    AC_MSG_ERROR([This branch contains elements which have not yet been finalised.  When this branch is updated, you will probably need to recompile both the any clients using the library, and may experience crashes or undefined behaviour if you do not.])
 # Check for xmlto and asciidoc for man page conversion
 # (only needed by people building tarballs)
 if test "$have_xmlto" = yes && test "$have_asciidoc" = yes; then

More information about the xorg-devel mailing list